From 5eb4d4c598f2806bd1b3d1140e917bfead7851ad Mon Sep 17 00:00:00 2001
From: Xiangfu <xiangfu@openmobilefree.net>
Date: Wed, 10 Oct 2012 23:51:26 +0800
Subject: [PATCH 6/6] enable silent console

---
 common/console.c          |   16 ++++++++++++++++
 include/configs/qi_lb60.h |    2 ++
 2 files changed, 18 insertions(+)

diff --git a/common/console.c b/common/console.c
index 1177f7d..e8a2078 100644
--- a/common/console.c
+++ b/common/console.c
@@ -685,6 +685,14 @@ done:
 
 	gd->flags |= GD_FLG_DEVINIT;	/* device initialization completed */
 
+#ifdef CONFIG_SILENT_CONSOLE
+	/* Check one more time the contents of the silent environment
+	 * variable, because if the environment is loaded from NAND it was
+	 * not available when console_init_f() was called */
+	if (getenv("silent") != NULL)
+		gd->flags |= GD_FLG_SILENT;
+#endif
+
 	stdio_print_current_devices();
 
 #ifdef CONFIG_SYS_CONSOLE_ENV_OVERWRITE
@@ -760,6 +768,14 @@ int console_init_r(void)
 
 	gd->flags |= GD_FLG_DEVINIT;	/* device initialization completed */
 
+#ifdef CONFIG_SILENT_CONSOLE
+	/* Check one more time the contents of the silent environment
+	 * variable, because if the environment is loaded from NAND it was
+	 * not available when console_init_f() was called */
+	if (getenv("silent") != NULL)
+		gd->flags |= GD_FLG_SILENT;
+#endif
+
 	stdio_print_current_devices();
 
 	/* Setting environment variables */
diff --git a/include/configs/qi_lb60.h b/include/configs/qi_lb60.h
index d3e78ad..a3534ff 100644
--- a/include/configs/qi_lb60.h
+++ b/include/configs/qi_lb60.h
@@ -102,6 +102,8 @@
 #define CONFIG_SYS_NO_FLASH
 #define CONFIG_SYS_FLASH_BASE	0 /* init flash_base as 0 */
 
+#define CONFIG_SILENT_CONSOLE		1	/* Enable silent console */
+
 /*
  * Command line configuration
  */
-- 
1.7.9.5

